Subject: how to track changes of a file

From: bill lam <[email-masked]>
Date: Mon, 16 Jun 2008 18:46:49 +0800

I want to see what had been done to a particular file, so I started with the log,

$ git-log --no-color glinvc03.ijs |grep commit |head -3
commit 23335cf4acadb9f09410f106adbcc2b190fe9c70
commit 31e4f2c519caa9afa2e29ed8ffb40deb62aa972f
commit b515f020d05f2967a7283751c8dd3740de7136a4

I want to know how to,
1. cat the content this file for these 3 versions
2. show the differences between versions,

I use vim to view man page, and git-log without redirection will invoke vim as a 
man viewer.  Does git-log always use man?  Without the --no-color option there 
will be some "33m" prepending to some lines, is there any global setting to turn 
off color in git-log?

regards,